Skip to content

Create Directory

$ llamacloud-prod beta:directories create
POST/api/v1/beta/directories

Create a new directory within the specified project.

ParametersExpand Collapse
--name: string

Body param: Human-readable name for the directory.

--organization-id: optional string

Query param

--project-id: optional string

Query param

--description: optional string

Body param: Optional description shown to users.

--expires-at: optional string

Body param: When this directory expires. Required for ephemeral directories.

--system-metadata: optional map[unknown]

Body param: Reserved system-managed metadata.

--type: optional "user" or "ephemeral"

Body param: Directory type. Use ‘ephemeral’ for batch processing with automatic cleanup.

ReturnsExpand Collapse
BetaDirectoryNewResponse: object { id, name, project_id, 7 more }

API response schema for a directory.

id: string

Unique identifier for the directory.

name: string

Human-readable name for the directory.

project_id: string

Project the directory belongs to.

created_at: optional string

Creation datetime

deleted_at: optional string

Optional timestamp of when the directory was deleted. Null if not deleted.

description: optional string

Optional description shown to users.

expires_at: optional string

When this directory expires and is eligible for cleanup.

system_metadata: optional map[unknown]

Reserved system-managed metadata.

type: optional "user" or "index" or "ephemeral" or "system_ephemeral"

Directory type: ‘user’, ‘index’, ‘ephemeral’, or ‘system_ephemeral’.

"user"
"index"
"ephemeral"
"system_ephemeral"
updated_at: optional string

Update datetime

Create Directory

llamacloud-prod beta:directories create \
  --api-key 'My API Key' \
  --name x
{
  "id": "id",
  "name": "x",
  "project_id": "project_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "expires_at": "2019-12-27T18:11:19.117Z",
  "system_metadata": {
    "foo": "bar"
  },
  "type": "user",
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "id": "id",
  "name": "x",
  "project_id": "project_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "expires_at": "2019-12-27T18:11:19.117Z",
  "system_metadata": {
    "foo": "bar"
  },
  "type": "user",
  "updated_at": "2019-12-27T18:11:19.117Z"
}